Problema con actualizaciones de un plugin. No puedo acceder al área de admin

Inicio Foros WordPress Plugins Problema con actualizaciones de un plugin. No puedo acceder al área de admin

Este debate contiene 3 respuestas, tiene 2 mensajes y lo actualizó  titiripower hace 7 años, 7 meses.

  • Autor
    Publicaciones
  • #20107

    titiripower
    Participante

    <p>Buenos días.<br />
    Llevo unos cuantos meses sin atender a actualizar nada de mi Blog http://www.arenaenlosbolsillos.es/blog/</p&gt;
    <p>ya que últimamente cuando intentaba actualizar a la versión 3.0 de WP o posteriores me daba problemas y por desconocimiento prefería no tocar nada. Con esto quiero decir que mi nivel de conocimiento informático es a nivel de usuario.</p>
    <p>Hoy intenté actualizar el plugin events-manager y tonto de mi que no me debí de dar cuenta de lo que hacía, pues tras intentarlo me vino el mensaje de que no se ha podido actualizar. Bueno, pues lo dejo como está, pensé yo…</p>
    <p>Al intentar acceder de nuevo al área de administración, tras introducir el usuario y la contraseña me salen los siguientes mensajes y no puedo acceder al panel de control:</p>
    <p>Warning: include_once(widgets/em-events.php) [function.include-once]: failed to open stream: No such file or directory in /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php on line 57</p>
    <p>Warning: include_once() [function.include]: Failed opening ‘widgets/em-events.php’ for inclusion (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php on line 57</p>
    <p>Warning: include_once(widgets/em-locations.php) [function.include-once]: failed to open stream: No such file or directory in /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php on line 58</p>
    <p>Warning: include_once() [function.include]: Failed opening ‘widgets/em-locations.php’ for inclusion (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php on line 58</p>
    <p>Warning: include_once(widgets/em-calendar.php) [function.include-once]: failed to open stream: No such file or directory in /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php on line 59</p>
    <p>Warning: include_once() [function.include]: Failed opening ‘widgets/em-calendar.php’ for inclusion (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php on line 59</p>
    <p>Warning: Cannot modify header information – headers already sent by (output started at /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php:57) in /home/s104a696/public_html/blog/wp-login.php on line 337</p>
    <p>Warning: Cannot modify header information – headers already sent by (output started at /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php:57) in /home/s104a696/public_html/blog/wp-login.php on line 349</p>
    <p>Warning: Cannot modify header information – headers already sent by (output started at /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php:57) in /home/s104a696/public_html/blog/wp-includes/pluggable.php on line 690</p>
    <p>Warning: Cannot modify header information – headers already sent by (output started at /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php:57) in /home/s104a696/public_html/blog/wp-includes/pluggable.php on line 691</p>
    <p>Warning: Cannot modify header information – headers already sent by (output started at /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php:57) in /home/s104a696/public_html/blog/wp-includes/pluggable.php on line 692</p>
    <p>Warning: Cannot modify header information – headers already sent by (output started at /home/s104a696/public_html/blog/wp-content/plugins/events-manager/events-manager.php:57) in /home/s104a696/public_html/blog/wp-includes/pluggable.php on line 890</p>
    <p>Madre mía…..<br />
    Es evidente que tengo un problema con el plugin de events-manager,supongo que la versión nueva que estaba intentando instalar era incompatible con mi versión de wp.<br />
    si accedo al blog salen tambien algunas líneas de error pero e puede ver parte de éste.</p>
    <p>Supongo que tendré que editar algún fichero y modificar alguna llamada al plugin o algo por el estilo, pero no sé muy bien como se hace. No se nada de PHP, lo más que sé es utilizar el Filezilla… :(</p>
    <p>Podría alguien por favor ayudarme a volver a acceder al panel de control para poder desactivar este plugin. Una vez resuelto este primer paso pediré de nuevo ayuda para actualizar a 3.0.</p>
    <p>Muchísimas gracias por adelantado<br />
    Un saludo
    </p>

  • #49241

    ByMiki
    Participante

    Entra a la carpeta de plugins de tu instalacion: blog/wp-content/plugins/ y cambiale el nombre al plugin que te ha dado el problema: blog/wp-content/plugins/events-manager. Llamale por ejemplo events-manager2. De esta forma se desactivara el plugin en tu panel de administración y deberías poder entrar de nuevo.

    Una vez hecho esto, lo mejor es que elimines el plugin y hagas una instalacion manual.

    Es bueno hacer copias de seguridad de todo, archivos y base de datos antes de ponerse a actualizar nada

  • #49247

    titiripower
    Participante

    Gracias ByMiki
    He podido resolverlo fácilmente, tal y como me has dicho

    Lo de las copias de seguridad tienes toda la razón. Tenía una copia de hace un par de meses pero no había caído.

    Por otro lado, como te comentaba arriba. No consigo actualizar WP y no se muy bien por que. Me sale el siguiente mensaje:
    No ha sido posible copiar el archivo.: /public_html/blog/wp-content/upgrade/wordpress-3.tmp/

    Instalación fallida

    Por supuesto tengo la carpeta con permisos 777. pero no se que más puedo hacer. He estado mirando en el foro y no he visto ningun problema similar……

    Es posible algún consejo
    Muchas gracias

  • #49248

    titiripower
    Participante

    Hola de nuevo,
    Trasteando creo que lo he solucionado
    muchas gracias de todas formas

El foro ‘Plugins’ está cerrado y no se permiten nuevos debates ni respuestas.

Pin It on Pinterest